package com.mswipetech.wisepos.demo.sdk.view.cashorbanksale;

import android.app.Dialog;
import android.content.Intent;
import android.os.AsyncTask;
import android.os.Bundle;
import android.view.View;
import android.view.Window;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.TextView;

import com.mswipetech.wisepos.demo.sdk.R;
import com.mswipetech.wisepos.demo.sdk.data.AppSharedPrefrences;
import com.mswipetech.wisepos.demo.sdk.data.ApplicationData;
import com.mswipetech.wisepos.demo.sdk.util.Constants;
import com.mswipetech.wisepos.demo.sdk.util.Logs;
import com.mswipetech.wisepos.demo.sdk.view.BaseTitleActivity;
import com.mswipetech.wisepos.demo.sdk.view.cardpaymentactivity.PaymentIntegrationTypeActivity;
import com.mswipetech.wisepos.demo.sdk.view.cardpaymentactivity.cardsaleactivityintegration.MswipePaymentView;
import com.mswipetech.wisepos.demo.sdk.view.cardpaymentactivity.cardsalearrintegration.ARRActivityPaymentView;
import com.mswipetech.wisepos.demo.sdk.view.cardpaymentactivity.cardsalesdkintegration.PaymentSDKTypeIntegration;

import java.net.HttpURLConnection;
import java.net.URL;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.Locale;
import java.util.TimeZone;

import javax.net.ssl.HttpsURLConnection;

/**
 * Created by mswipe on 5/11/17.
 */

public class CashIntegrationTypeActivity extends BaseTitleActivity
{


    @Override
    public void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);

        requestWindowFeature(Window.FEATURE_NO_TITLE);
        setContentView(R.layout.cash_integration_type_view);

        initViews();
    }

    /**
     * Initializes the UI elements for the login screen
     * @param
     *
     * @return
     *
     */
    private void initViews()
    {

        ((TextView) findViewById(R.id.topbar_LBL_heading)).setText("Integration Method");

        ((Button) findViewById(R.id.cash_integration_type_BTN_sdk)).setOnClickListener(new View.OnClickListener()
        {
            @Override
            public void onClick(View v)
            {
                if(AppSharedPrefrences.getAppSharedPrefrencesInstace().getReferenceId().length() > 0
                        && AppSharedPrefrences.getAppSharedPrefrencesInstace().getReferenceId().length() > 0)
                {
                    Intent intent = new Intent(CashIntegrationTypeActivity.this, CashSaleView.class);
                    intent.putExtra("cash", true);
                    startActivity(intent);
                    finish();
                }
                else{
                    Constants.showDialog(CashIntegrationTypeActivity.this, "SDK List", "you have to login first.");

                }


            }
        });


        ((Button) findViewById(R.id.cash_integration_type_BTN_arr)).setOnClickListener(new View.OnClickListener()
        {
            @Override
            public void onClick(View v)
            {
                Intent intent = new Intent(CashIntegrationTypeActivity.this, ARRCashActivityPaymentView.class);
                startActivity(intent);
            }
        });

    }
}