package com.mswipetech.wisepos.demo.sdk.view.summary;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.Window;
import android.widget.LinearLayout;
import android.widget.TextView;

import com.mswipetech.wisepos.demo.sdk.R;
import com.mswipetech.wisepos.demo.sdk.data.ApplicationData;
import com.mswipetech.wisepos.demo.sdk.view.BaseTitleActivity;

public class QRSaleSummaryDetails extends BaseTitleActivity
{
	ApplicationData applicationData = null;

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
		requestWindowFeature(Window.FEATURE_NO_TITLE);

		setContentView(R.layout.qrsummarydetails);
		applicationData = (ApplicationData)getApplicationContext();

        initViews();
    }


	private void initViews() 
	{
		((TextView)findViewById(R.id.topbar_LBL_heading)).setText("qr sale summary");
		((TextView)findViewById(R.id.topbar_LBL_heading)).setTypeface(applicationData.font);
		
	
		Intent intent = getIntent();
		
		String CardAmount = intent.getStringExtra("CardSaleAmount");
		String VoidAmt = intent.getStringExtra("VoidSaleAmount");
		String NoofSwipes = intent.getStringExtra("CardSaleCount");
		String NoofVoids = intent.getStringExtra("VoidSaleCount");
		String TotalAmt = intent.getStringExtra("TotalAmount");
		String NoOfswipesVoids = intent.getStringExtra("TotalSwipesAndVoids");
		String SummaryDate = intent.getStringExtra("SummaryDate");

		((LinearLayout)findViewById(R.id.card_summary_LNR_no_of_swipes)).setVisibility(View.VISIBLE);

		TextView lblSummaryDate = (TextView)  findViewById(R.id.cardsummarydetails_LBL_TxDateTime);
		lblSummaryDate.setTypeface(applicationData.font);
		((TextView)  findViewById(R.id.cardsummarydetails_LBL_lblTxDateTime)).setTypeface(applicationData.font);

		if(SummaryDate!=null)
			lblSummaryDate.setText(SummaryDate);

		/*TextView txtCardAmt = (TextView) findViewById(R.id.cardsummarydetails_LBL_cardamount);
		txtCardAmt.setTypeface(applicationData.font);
		((TextView)  findViewById(R.id.cardsummarydetails_LBL_lblcardamount)).setTypeface(applicationData.font);

		if(CardAmount!=null)
			txtCardAmt.setText(CardAmount);*/
		//((TextView) findViewById(R.id.cardsummarydetails_LBL_Amtprefixcardamount)).setTypeface(applicationData.font);
		//((TextView) findViewById(R.id.cardsummarydetails_LBL_Amtprefixcardamount)).setText(ApplicationData.mCurrency);


		//TextView txtVoidAmt = (TextView) findViewById(R.id.cardsummarydetails_LBL_VoidAmt);
		//txtVoidAmt.setTypeface(applicationData.font);
		//((TextView)  findViewById(R.id.cardsummarydetails_LBL_lblVoidAmt)).setTypeface(applicationData.font);

		//((TextView) findViewById(R.id.cardsummarydetails_LBL_Amtprefixvoid)).setTypeface(applicationData.font);
		//((TextView) findViewById(R.id.cardsummarydetails_LBL_Amtprefixvoid)).setText(ApplicationData.mCurrency);

		//if(VoidAmt!=null)
		//	txtVoidAmt.setText(VoidAmt);


		TextView txtAmt = (TextView) findViewById(R.id.cardsummarydetails_LBL_TotalAmt);
		txtAmt.setTypeface(applicationData.font);
		((TextView)  findViewById(R.id.cardsummarydetails_LBL_lblTotalAmt)).setTypeface(applicationData.font);

		if(TotalAmt!=null)
			txtAmt.setText(TotalAmt);
		((TextView) findViewById(R.id.cardsummarydetails_LBL_Amtprefixtotal)).setTypeface(applicationData.font);
		((TextView) findViewById(R.id.cardsummarydetails_LBL_Amtprefixtotal)).setText(ApplicationData.mCurrency);


		TextView txtNoOfSwipe = (TextView) findViewById(R.id.cardsummarydetails_LBL_NoofSwipes);
		txtNoOfSwipe.setTypeface(applicationData.font);
		((TextView)  findViewById(R.id.cardsummarydetails_LBL_lblNoofSwipes)).setTypeface(applicationData.font);

		if(NoofSwipes!=null)
			txtNoOfSwipe.setText(NoofSwipes);



	}
}